Page MenuHomePhabricator

Make FormatJson errors more understandable
Closed, ResolvedPublic

Description

Example diff to illustrate this problem: "<mapframe>: Syntax error" is not very user-friendly. "JSON syntax error" or something is needed.

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterWrap JSON errors in a clarifyng message

Event Timeline

MaxSem created this task.Mar 14 2016, 9:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2016, 9:14 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 14 2016, 11:27 PM
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.Mar 14 2016, 11:28 PM
Yurik added a subscriber: Yurik.

Or a wrapper error like "Unable to parse GeoJSON: Syntax error"

Deskana moved this task from Needs triage to Maps on the Discovery board.Mar 15 2016, 3:39 AM
MaxSem moved this task from Backlog to To-do on the Maps-Sprint board.Jun 1 2016, 10:22 PM
MaxSem claimed this task.Jun 1 2016, 10:41 PM

Change 292295 had a related patch set uploaded (by MaxSem):
Wrap JSON erros in a clarifyng message

https://gerrit.wikimedia.org/r/292295

MaxSem moved this task from To-do to Needs review on the Maps-Sprint board.Jun 1 2016, 11:04 PM

Change 292295 merged by jenkins-bot:
Wrap JSON errors in a clarifyng message

https://gerrit.wikimedia.org/r/292295

MaxSem closed this task as Resolved.Jun 3 2016, 6:00 PM